function CDR_initMainFrame(content, size)
    local CDR_mainFrame = CreateFrame("Frame", "CooldownRemindFrame", UIParent, "BasicFrameTemplateWithInset");
    local CDR_mainFrameTitle = CreateFrame("Frame", "CooldownRemindTitleFrame", CDR_mainFrame);

    if size then
        local LINE_HEIGHT = 14;
        local TITLE_HEIGHT = 48;
        local height = size * LINE_HEIGHT + TITLE_HEIGHT;
        CDR_mainFrame:SetSize(480, height);
    else
        CDR_mainFrame:SetSize(480, 200);
    end

    CDR_mainFrame:SetPoint("Center", UIParent, "Center");
    CDR_mainFrame.text = CDR_mainFrame:CreateFontString(nil,"ARTWORK") 
    CDR_mainFrame.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
    CDR_mainFrame.text:SetPoint("TOP",0,-20);

    if content then
        CDR_mainFrame.text:SetText(content);
    else
        CDR_mainFrame.text:SetText("No data");
    end

    CDR_mainFrameTitle.text = CDR_mainFrame:CreateFontString(nil,"ARTWORK"); 
    CDR_mainFrameTitle.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE");
    CDR_mainFrameTitle.text:SetPoint("TOP", CDR_mainFrame, "TOP",0, -5);
    CDR_mainFrameTitle.text:SetText("CooldownRemind");

end